[android-components](../../index.md) / [mozilla.components.browser.errorpages](../index.md) / [ErrorPages](index.md) / [createUrlEncodedErrorPage](./create-url-encoded-error-page.md)

# createUrlEncodedErrorPage

`fun createUrlEncodedErrorPage(context: <ERROR CLASS>, errorType: `[`ErrorType`](../-error-type/index.md)`, uri: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`? = null, htmlResource: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)` = HTML_RESOURCE_FILE): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/errorpages/src/main/java/mozilla/components/browser/errorpages/ErrorPages.kt#L69)

Provides an encoded URL for an error page. Supports displaying images

